GNU bug report logs - #31150
Entries in load-path should not have trailing slashes

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: auctex; Reported by: Radon Rosborough <radon.neon@HIDDEN>; dated Fri, 13 Apr 2018 23:29:01 UTC; Maintainer for auctex is bug-auctex@HIDDEN.

Message received at 31150 <at> debbugs.gnu.org:


Received: (at 31150) by debbugs.gnu.org; 15 Apr 2018 06:39:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 15 02:39:37 2018
Received: from localhost ([127.0.0.1]:52982 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f7bK5-0000lK-EJ
	for submit <at> debbugs.gnu.org; Sun, 15 Apr 2018 02:39:37 -0400
Received: from mout.web.de ([212.227.17.11]:51737)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <reinhard.kotucha@HIDDEN>) id 1f7bK4-0000l7-J7
 for 31150 <at> debbugs.gnu.org; Sun, 15 Apr 2018 02:39:36 -0400
Received: from vhost ([88.130.80.116]) by smtp.web.de (mrweb101
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0MbQGO-1er2PM41ci-00InNE; Sun, 15
 Apr 2018 08:39:29 +0200
From: Reinhard Kotucha <reinhard.kotucha@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <23250.62368.6175.618870@HIDDEN>
Date: Sun, 15 Apr 2018 08:39:28 +0200
To: Radon Rosborough <radon.neon@HIDDEN>
Subject: Re: bug#31150: Entries in load-path should not have trailing slashes
In-Reply-To: <CADB4rJGaru6Kng8=oe2E2vW1t_mfYOMYCikT9fJRSEFd7SLHvQ@HIDDEN>
References: <CADB4rJGrKTe9CgfK9q_25LUtdY1zO2PRiRRC9xg-=7H-XQ+FyA@HIDDEN>
 <87fu3yrmjk.fsf@HIDDEN>
 <CADB4rJGKidUkTeHMbfZ=Yxi0nDFYK2qyw+Lz5_55VdGAUHiAsQ@HIDDEN>
 <874lkdzo7a.fsf@HIDDEN>
 <CADB4rJFz=3EC_4sO2d701GMdtYYEFFuv_-xsU5_EqGOptdRHqA@HIDDEN>
 <87muy5xx1a.fsf@HIDDEN>
 <CADB4rJGaru6Kng8=oe2E2vW1t_mfYOMYCikT9fJRSEFd7SLHvQ@HIDDEN>
X-Mailer: VM 8.2.0b under 25.2.1 (x86_64-unknown-linux-gnu)
X-Provags-ID: V03:K1:c5mAP1c21hcvCBNArpso4iDGVWE1/TnBroiJhoRQKxL/U2ZyXqX
 VkD+JCC9e2scXVV/prMlUgNl5Bwla0QqoevEwlurEOhGxMj7iZNI1RcwPn2uQM2+nkzKFGK
 eHLy8NKDbwmaN6AYSbr16iz4ktRgdUrqgqKtstbvb6Zqcew1lZD1W/7n6SVMV4awwxdgFx+
 nHUsqcrVyUegVgaKbW6oA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:WS3HfL2FzW4=:GjuAjKkzF6cmGZn7OM2bCu
 KKD1LUc9mLpQaLyJejsEuL1J5fB4jsL8bODK2hVhsNjtPhAb0WgLmq2nTk2mklMN9n0gKMCc2
 mKdEeQqlOjGbnxAXbeE0eU56S+Mxu1n3SYJm2iz7wrJgkpcVgNGPa2Zl/7sZKWDcUMwo10oHB
 kcqbeTorEbt9Cty89A2pOPAucI2Ah2Xk6avPJAGJsYK6adKQuedO4pUEOimoUoyF9Qxi+ddvP
 I2gNb4awzXSuefUqVP2dw0B2qQnlxEsSivCR6xZNTd9oNsMfAWyHvA51WfHkMu0E6Gt+jdiC3
 aguEMvaxXjdbDOmxDWeBF17Ids3YvsO2UDjmzMLdGwXrz302YWA4fWuZQCVe3kbwoB4XAMoTj
 tECml3h5yI6PwAGWMAoEyzerpMRg5dQQovkC0yLUc7HKYSlN5tGPZ5HiCvWdaEbl28FWvwTpH
 Jkiok3HaDwsRAcmIN+mUhP65ezA+k4n9DhnGdKHt3M2ur0slas/W5EvYXMuzm1AidAuW+hj+t
 zBS0RNAXUkqMQCArEcR9XMMq4U3DHfkmrNbJuBFiDg/h7kNjx6Ul1JeO5RKuS+oII3YNdHn+r
 5b4y4llUGpKrOPNwuZpgNjTPTo4MBovkwgpOnS776kJ+6LTV4kHuZG/0vgBBkhufllyhNaob1
 j41GoEwuDv+peOc0gXVEihYfZ1quOrphxStdaQ5YslQ+U/9rButDAisEODRulNrFFTZ5u6hRI
 Dgph9Sf+IVdpIgVOYQLbJDeG2mQ+OMVFBygBf/xmdVtytoMPRw1VJdLSZw4GtFyfyRqV7Eo32
 yflrhPjIatYT47FyNw0ERFwjdte20UQODMkWiwQT8aKN8jigOQ=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 31150
Cc: David Kastrup <dak@HIDDEN>, 31150 <at> debbugs.gnu.org,
 Tino Calancha <tino.calancha@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: reinhard.kotucha@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 2018-04-14 at 21:01:28 -0700, Radon Rosborough wrote:

 > > For crying out loud, one does not have to look in the "sources of
 > > this" package or use "Google" searches.
 > 
 > > Perhaps some minimal trust in the package authors would be in order.
 > 
 > > How about reading the documentation of load-path?
 > 
 > > it takes an extraordinary amount of chutzpah to blame the package
 > > authors when the results are crap. Basically you think the package
 > > authors too stupid to create useful documentation
 > 
 > > Sorry, go and cry to Google that their algorithms are too stupid to
 > > pick up the standard documentation of packages then.
 > 
 > It does not seem productive for us to continue this discussion
 > further, and I am not particularly interested in continuing to be
 > insulted. I will not reply to further messages along the above lines.

As someone who met David many times in person at various conferences,
I can assure you that it's definitely not David's intention to insult
you or anybody else in any way.

I know many people who acknowledge David's helpfulness very much.
But it's also well known that David immediately gets pissed-off if
he's blamed for things he isn't responsible for.  Admittedly, his
mail messages often sound quite harsh.  Don't worry.

It's a pity that you didn't have the opportunity to meet David in
person.  The internet is a great thing because it allows you to
communicate with everybody in the world.  But it's also the cause of
many problems which are avoidable if poeple simply meet physically as
we did when I was young.

I know David very well and can assure you that the least thing he had
in mind is to insult you.  Don't worry if his mails sound quite harsh.

I'm looking forward to meet you both at BachoTeX-2018.

Regards,
  Reinhard

-- 
------------------------------------------------------------------
Reinhard Kotucha                            Phone: +49-511-3373112
Marschnerstr. 25
D-30167 Hannover                    mailto:reinhard.kotucha@HIDDEN
------------------------------------------------------------------




Information forwarded to bug-auctex@HIDDEN:
bug#31150; Package auctex. Full text available.

Message received at 31150 <at> debbugs.gnu.org:


Received: (at 31150) by debbugs.gnu.org; 15 Apr 2018 04:21:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 15 00:21:40 2018
Received: from localhost ([127.0.0.1]:52954 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f7ZAZ-0005p1-Pz
	for submit <at> debbugs.gnu.org; Sun, 15 Apr 2018 00:21:39 -0400
Received: from mout.web.de ([212.227.17.12]:48199)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <reinhard.kotucha@HIDDEN>) id 1f7ZAX-0005on-SZ
 for 31150 <at> debbugs.gnu.org; Sun, 15 Apr 2018 00:21:38 -0400
Received: from vhost ([88.130.80.116]) by smtp.web.de (mrweb102
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0MSJGB-1f0f8T47Yp-00TYED; Sun, 15
 Apr 2018 06:21:31 +0200
From: Reinhard Kotucha <reinhard.kotucha@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <23250.54090.23775.731281@HIDDEN>
Date: Sun, 15 Apr 2018 06:21:30 +0200
To: Radon Rosborough <radon.neon@HIDDEN>
Subject: Re: bug#31150: Entries in load-path should not have trailing slashes
In-Reply-To: <CADB4rJFz=3EC_4sO2d701GMdtYYEFFuv_-xsU5_EqGOptdRHqA@HIDDEN>
References: <CADB4rJGrKTe9CgfK9q_25LUtdY1zO2PRiRRC9xg-=7H-XQ+FyA@HIDDEN>
 <87fu3yrmjk.fsf@HIDDEN>
 <CADB4rJGKidUkTeHMbfZ=Yxi0nDFYK2qyw+Lz5_55VdGAUHiAsQ@HIDDEN>
 <874lkdzo7a.fsf@HIDDEN>
 <CADB4rJFz=3EC_4sO2d701GMdtYYEFFuv_-xsU5_EqGOptdRHqA@HIDDEN>
X-Mailer: VM 8.2.0b under 25.2.1 (x86_64-unknown-linux-gnu)
X-Provags-ID: V03:K1:TTBG9aq7h7AY+oANaCcybIl4SpHtXbXvv3UouP4nmeKJc3YWagf
 BMl1Het8uj/xrSSgeuxPx+BFaQ7IvJpv+dZJ4UG5UFX1Xu14Jf1/UGsrPM0MG6og8PliNJm
 RFI7v91N8SSRtC/pKUJgihu+uskvKhbKuqET02JTUewF7kqXnx0JxDXm67FXb4F84Sqk38F
 tGz/eB3xpggXSBSUhNR4w==
X-UI-Out-Filterresults: notjunk:1;V01:K0:mdMpbF3xv60=:75NIRgyKQidCFbOzxhNmTB
 Xmk2fcMuvnFmL+KFS6ScQOhWyNRotiw5bxtBY+i9x6ewhyMuaKPKT1eTXd/a4Gs5/XsAs7bit
 zYzh81AE4jtOX/dIK+7gDTD2wsSV/BAtt3KhCb4BMNVAFyZLB+EW+GqOANH1ehTgkP1l70Kta
 IbwkYcSktuWC9G9Hu9oDGOvLjC1k+nkJSAv25IForTGrytALB0AHYcNwFg31P24Jc6FMP5kGo
 KjMmGSdAVMdacbWR35l7WETniiKgdOJx6hdL2nOgVAV+ow68LS0sw+MudbGrmm3OsYAacKkEx
 YGXBYDAcDne4T1mIeZyvtruE292EMidOjgNpxtGcolnC447nMrhW8vVVBnxYqr7gK4Kyk8Wu/
 5svyY5az2KA6fVN0gHc28KgOORIavZJqf7Ny6EAqODUt/mbWjXydNKZdzwtwj62ZadxiafvRF
 mwMJgPoZrM3qwTZ3TV6crvxp9gtVGiXOCk47j/4oJJl20PHSZbDNhMvy3oSb3H1+fLouLGAz3
 xYJ/r2ocNZPx4afMCfPPEqYMNNPwEi/k8kSdq9qMu4bWrx1E7fQ3ugxKCsDVwmFzwucr6a0eO
 6lhYigCx/lcoRsGlf+Hmzr2B4OrICosOqIC6sFj608X5wmHuwprQlqT6QrG9hm6AD9y2Uu2n2
 RNrSwkyhkT67VLgoZoCIGn0U1/Top5bqxE5AOjGVK8zXTlpUARKSlutyinFtPqs95z60nOwvx
 EhXtrZh/NTMqGDJSmaO+abaSDwA9JKD82/nJbg4DsZZjXaUCknF0j7V9XTMsTZ/oxrDovq/8w
 APZUjX+KHa+jRdX2u4AFT6TQ/XH0NU//Si2Pp1iuyJe7ielYUA=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 31150
Cc: David Kastrup <dak@HIDDEN>, 31150 <at> debbugs.gnu.org,
 Tino Calancha <tino.calancha@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: reinhard.kotucha@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 2018-04-14 at 14:41:52 -0700, Radon Rosborough wrote:

 > Most people use search engines to find documentation these days.
 > That's not a value judgement; it's just a statement of fact.

Dear Radon,
it's true that most poeple use search engines nowadays but it's
actually the worst thing one can do.  The quality of the results is
quite arbitrary.  In most cases saerch engines return old stuff which
isn't relevant anymore or wrong answers from poeple who just believe
that they groked something.

A definite answer is and can only be provided by the documentation
shipped with a particular package.  Everything else is less helpful or
not helpful at all.

Regards,
  Reinhard

-- 
------------------------------------------------------------------
Reinhard Kotucha                            Phone: +49-511-3373112
Marschnerstr. 25
D-30167 Hannover                    mailto:reinhard.kotucha@HIDDEN
------------------------------------------------------------------




Information forwarded to bug-auctex@HIDDEN:
bug#31150; Package auctex. Full text available.

Message received at 31150 <at> debbugs.gnu.org:


Received: (at 31150) by debbugs.gnu.org; 15 Apr 2018 04:02:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 15 00:02:16 2018
Received: from localhost ([127.0.0.1]:52948 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f7Yro-0005Ox-55
	for submit <at> debbugs.gnu.org; Sun, 15 Apr 2018 00:02:16 -0400
Received: from mail-lf0-f43.google.com ([209.85.215.43]:33777)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <radon.neon@HIDDEN>) id 1f7Yrn-0005Ok-2A
 for 31150 <at> debbugs.gnu.org; Sun, 15 Apr 2018 00:02:15 -0400
Received: by mail-lf0-f43.google.com with SMTP id m14-v6so5504311lfc.0
 for <31150 <at> debbugs.gnu.org>; Sat, 14 Apr 2018 21:02:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=y2s9A8z00R1A8ItFA/kafCtxCTTLLdGY/FHN4+/cYd8=;
 b=jHxbad0rL7l+4Ni3Q9WhEpxc5HV/91boEwc3dQhB7jAUtCuVp7k1H4nPP3NQpeHUlF
 7YTGp6u9c5V0Zui8aJsIeZvwfTXMTR99W4DRCdSY/LBhpmd9oleFwVE4FFcHfRexXJJw
 rgJpaKPNPW6gOz/vCtb9cuP5vWwah2+e/IdQ4uVUW0wfzJ9Dz56qwNbIMw5XBsq6h0nr
 ODMEuQlm8gow6rUoNN2zkbHHNIrgzZ9ewFgCT3gsBjXTl48tl+WDkPw3RFuifTCUrhJw
 FIfhgLqrAU0ne0z6RS7oagk69A3ockb87SNaDmyemhssjePJuSEVl048xZQaLu+vaTqF
 TWqw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=y2s9A8z00R1A8ItFA/kafCtxCTTLLdGY/FHN4+/cYd8=;
 b=LZTR0dH7mZADZxiNF7j+2GupqB6K/lamidzJjzl+lcTRatfHseI8/fhufJ3dsSwpvH
 TzCGm9/GBCpYBvu+mGrFJkVOCBvJXC9naes8tNbFD3kM6Aoh7VkW0R7XjYS2p7j6rGVu
 CfqudsX+Gb40Tm60bCUx89sqLTWztuLst8F7kd46b/mQfWs44prlowpto4ux6IIJXIAY
 jetFrWcv+lKkSBRIwlzr2914GThuYd05CXwXEUsiHA8TUbb9IRgHjgVocnp3HvcE+tLa
 CYCYEUPqDp4X0WCWSfi7jZ0b/H/xFjLz5jv9sIryDfnBy3GNMx237ukXemOHrfeKyaaX
 FlcQ==
X-Gm-Message-State: ALQs6tC/n5/kvrdH9lCBVsL5e1sZAGjs6+ZOWAzKJcEbS3KCf1bF4mMC
 jjzLuwLbdZHAk2+gDIpPRQSD+2Nfh0WRk4DMDRo=
X-Google-Smtp-Source: AIpwx4/woHZ1I/v+1JWED0tGLniU027JrbA3TLOi7Mu2MC3HKLKF6X3JaXdfjtl/U0Dd4wPxAKiCiukyMLgB9uEk8z0=
X-Received: by 2002:a19:7904:: with SMTP id
 u4-v6mr12080185lfc.129.1523764928849; 
 Sat, 14 Apr 2018 21:02:08 -0700 (PDT)
MIME-Version: 1.0
Received: by 2002:a19:6514:0:0:0:0:0 with HTTP; Sat, 14 Apr 2018 21:01:28
 -0700 (PDT)
In-Reply-To: <87muy5xx1a.fsf@HIDDEN>
References: <CADB4rJGrKTe9CgfK9q_25LUtdY1zO2PRiRRC9xg-=7H-XQ+FyA@HIDDEN>
 <87fu3yrmjk.fsf@HIDDEN>
 <CADB4rJGKidUkTeHMbfZ=Yxi0nDFYK2qyw+Lz5_55VdGAUHiAsQ@HIDDEN>
 <874lkdzo7a.fsf@HIDDEN>
 <CADB4rJFz=3EC_4sO2d701GMdtYYEFFuv_-xsU5_EqGOptdRHqA@HIDDEN>
 <87muy5xx1a.fsf@HIDDEN>
From: Radon Rosborough <radon.neon@HIDDEN>
Date: Sat, 14 Apr 2018 21:01:28 -0700
Message-ID: <CADB4rJGaru6Kng8=oe2E2vW1t_mfYOMYCikT9fJRSEFd7SLHvQ@HIDDEN>
Subject: Re: bug#31150: Entries in load-path should not have trailing slashes
To: David Kastrup <dak@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 31150
Cc: 31150 <at> debbugs.gnu.org, Tino Calancha <tino.calancha@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> For crying out loud, one does not have to look in the "sources of
> this" package or use "Google" searches.

> Perhaps some minimal trust in the package authors would be in order.

> How about reading the documentation of load-path?

> it takes an extraordinary amount of chutzpah to blame the package
> authors when the results are crap. Basically you think the package
> authors too stupid to create useful documentation

> Sorry, go and cry to Google that their algorithms are too stupid to
> pick up the standard documentation of packages then.

It does not seem productive for us to continue this discussion
further, and I am not particularly interested in continuing to be
insulted. I will not reply to further messages along the above lines.

Let me know if you require any more information relevant to the bug
report.

Best regards,
Radon




Information forwarded to bug-auctex@HIDDEN:
bug#31150; Package auctex. Full text available.

Message received at 31150 <at> debbugs.gnu.org:


Received: (at 31150) by debbugs.gnu.org; 14 Apr 2018 22:07:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 14 18:07:19 2018
Received: from localhost ([127.0.0.1]:52859 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f7TKG-0005nG-7Z
	for submit <at> debbugs.gnu.org; Sat, 14 Apr 2018 18:07:16 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41936)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dak@HIDDEN>) id 1f7TKE-0005n4-In
 for 31150 <at> debbugs.gnu.org; Sat, 14 Apr 2018 18:07:14 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dak@HIDDEN>) id 1f7TK6-0002Xx-DH
 for 31150 <at> debbugs.gnu.org; Sat, 14 Apr 2018 18:07:09 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:58691)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <dak@HIDDEN>)
 id 1f7TK6-0002Xr-9E; Sat, 14 Apr 2018 18:07:06 -0400
Received: from x4db623d2.dyn.telefonica.de ([77.182.35.210]:54674 helo=lola)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <dak@HIDDEN>)
 id 1f7TK5-0004Mh-Sk; Sat, 14 Apr 2018 18:07:06 -0400
From: David Kastrup <dak@HIDDEN>
To: Radon Rosborough <radon.neon@HIDDEN>
Subject: Re: bug#31150: Entries in load-path should not have trailing slashes
References: <CADB4rJGrKTe9CgfK9q_25LUtdY1zO2PRiRRC9xg-=7H-XQ+FyA@HIDDEN>
 <87fu3yrmjk.fsf@HIDDEN>
 <CADB4rJGKidUkTeHMbfZ=Yxi0nDFYK2qyw+Lz5_55VdGAUHiAsQ@HIDDEN>
 <874lkdzo7a.fsf@HIDDEN>
 <CADB4rJFz=3EC_4sO2d701GMdtYYEFFuv_-xsU5_EqGOptdRHqA@HIDDEN>
Date: Sun, 15 Apr 2018 00:06:57 +0200
In-Reply-To: <CADB4rJFz=3EC_4sO2d701GMdtYYEFFuv_-xsU5_EqGOptdRHqA@HIDDEN>
 (Radon Rosborough's message of "Sat, 14 Apr 2018 14:41:52 -0700")
Message-ID: <87muy5xx1a.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 31150
Cc: 31150 <at> debbugs.gnu.org, Tino Calancha <tino.calancha@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Radon Rosborough <radon.neon@HIDDEN> writes:

>> For crying out loud, one does not have to look in the "sources of
>> this" package or use "Google" searches. The package has
>> documentation.
>
> Most people use search engines to find documentation these days.

But it takes an extraordinary amount of chutzpah to blame the package
authors when the results are crap.  Basically you think the package
authors too stupid to create useful documentation and instead ask the
next person on the street.  And then you blame the package author for
not talking to enough persons on the street to render this hearsay
useful.

> That's not a value judgement; it's just a statement of fact.
>
>> The documentation is available in the usual places (Info)
>
> Info is not as standard as you make it out to be.

Info is the standard information format for Elisp packages.  And
complaining about lack of documentation and bug reporting instructions
when both are in the package's top level menu structure also is not
exactly a sign that the package authors are to blame.

> That is true, but the vast majority of packages do not contain any
> such menu entries. Furthermore, many users do not use the Emacs menus.

Users who don't use the menus and don't read the delivered documentation
then complain that the package authors should do more search engine
optimization.

Sorry, go and cry to Google that their algorithms are too stupid to pick
up the standard documentation of packages then.

-- 
David Kastrup




Information forwarded to bug-auctex@HIDDEN:
bug#31150; Package auctex. Full text available.

Message received at 31150 <at> debbugs.gnu.org:


Received: (at 31150) by debbugs.gnu.org; 14 Apr 2018 21:42:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 14 17:42:40 2018
Received: from localhost ([127.0.0.1]:52843 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f7SwS-0005E3-A7
	for submit <at> debbugs.gnu.org; Sat, 14 Apr 2018 17:42:40 -0400
Received: from mail-lf0-f42.google.com ([209.85.215.42]:46723)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <radon.neon@HIDDEN>) id 1f7SwQ-0005Dk-Pe
 for 31150 <at> debbugs.gnu.org; Sat, 14 Apr 2018 17:42:39 -0400
Received: by mail-lf0-f42.google.com with SMTP id j68-v6so17007512lfg.13
 for <31150 <at> debbugs.gnu.org>; Sat, 14 Apr 2018 14:42:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=l8WBvdH/SS0GnQGVYJN2fjXJF3UfIhartXaTF2GVWH0=;
 b=FUhWwibWVJmHuJyTEiuo6nME1FrD2s3hb2ycKRiO4yr8Xu7Z+ydT9Gf+9xgF7aYuPr
 ujiKc4xSIGWsyyyq4ToRDhGjzyk3ICLjUAr1+o0QZWqp7yB5+NWG9ptLJohFFB0ZCDWE
 oDalpGMkoGAxCCRkp7Isu+FnMHQZQVjiSxwigYa021fWCf/C985DXXalpmW/kbFzsdVN
 dYZOuZl6TrmHXtJujiTm1xQbYlkJ+hWIH4M5S6J00FzPO9fjijlXjlj1/AHmdFt6dhgc
 GefEOphUw7TDWL/FHpP+m8xMtopxq9renKdZcZZrplbH6oCqmLl15ow126m15BOoC3W8
 w8vw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=l8WBvdH/SS0GnQGVYJN2fjXJF3UfIhartXaTF2GVWH0=;
 b=g+Qjt7cnkcuA1PFh3hzoWUVmGcxeNBcU/3gfQ5gwzjONJctbHVPLCeRlHhn3wEuSAD
 FSAaEF6O7V2FPBoTlzuxy8lTLtYGDBeCZhOZenL0zOR89KfCH9622alOgSY4S8yVwsOA
 mCy0trUgLbLoM4rmMlp2o59lY5dp5sgVnpa226Hnp0O76JlWI8fMMh5yilDeaOkZypeI
 73LEBUHMuOOHXTWhv/69W1rvOlR+elSvbgdDuJYZG+KhAuzLTFgUDP1aNRgfx0ayG2oP
 QhTNRUkjHqgnnuSbRJYU5R//wmDsb7QWKdRuF4qzdD+geqmU2ZqfH2t6G6DThcxLObev
 vFyg==
X-Gm-Message-State: ALQs6tAOjMAbGl2YLQeKSjXjBNKGiAeeWXKpJnkTrbc9H5CWR35NdVu7
 ncDRJ2ves7JevTZltriXIbZUPTkwuWmbccvKi/A=
X-Google-Smtp-Source: AIpwx48hhJVtfLj6P5zsThhtHO6q4b07QaRblzCAWsszytNlE03rHpYp4NYiFNuTk6Wa8AemTKPMxwsqda3HtHhwnoc=
X-Received: by 2002:a19:1d12:: with SMTP id
 d18-v6mr10959554lfd.128.1523742152837; 
 Sat, 14 Apr 2018 14:42:32 -0700 (PDT)
MIME-Version: 1.0
Received: by 2002:a19:6514:0:0:0:0:0 with HTTP; Sat, 14 Apr 2018 14:41:52
 -0700 (PDT)
In-Reply-To: <874lkdzo7a.fsf@HIDDEN>
References: <CADB4rJGrKTe9CgfK9q_25LUtdY1zO2PRiRRC9xg-=7H-XQ+FyA@HIDDEN>
 <87fu3yrmjk.fsf@HIDDEN>
 <CADB4rJGKidUkTeHMbfZ=Yxi0nDFYK2qyw+Lz5_55VdGAUHiAsQ@HIDDEN>
 <874lkdzo7a.fsf@HIDDEN>
From: Radon Rosborough <radon.neon@HIDDEN>
Date: Sat, 14 Apr 2018 14:41:52 -0700
Message-ID: <CADB4rJFz=3EC_4sO2d701GMdtYYEFFuv_-xsU5_EqGOptdRHqA@HIDDEN>
Subject: Re: bug#31150: Entries in load-path should not have trailing slashes
To: David Kastrup <dak@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31150
Cc: 31150 <at> debbugs.gnu.org, Tino Calancha <tino.calancha@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> For crying out loud, one does not have to look in the "sources of
> this" package or use "Google" searches. The package has
> documentation.

Most people use search engines to find documentation these days.
That's not a value judgement; it's just a statement of fact.

> The documentation is available in the usual places (Info)

Info is not as standard as you make it out to be. I investigated the
486 packages that I have installed, and found that 297 of them have at
least minimal documentation hosted on GitHub in the form of a
README.md, while only 26 of them include any Info documentation.

> The menus of the package also contain an entry for submitting bug
> reports.

That is true, but the vast majority of packages do not contain any
such menu entries. Furthermore, many users do not use the Emacs menus.

> However, Lisp programs that process this list should tolerate
> directories both with and without trailing slashes. [...] as a
> package manager, your code _certainly_ should adhere to the
> instructions in load-path documentation.

My package manager does not exactly fall under the rubric of "Lisp
programs that process this list". It does not do any processing,
really; it just adds an entry. If that is counted as processing, then
every time any Lisp program adds anything to `load-path', it should be
checking to make sure there is not a duplicate entry with a trailing
slash. Since nobody does that, I inferred that it doesn't make much
sense in this case either.

---

Looking at the summary page for the bug-auctex list, I see that it
does indeed mention M-x TeX-submit-bug-report, so it was a mistake for
me to say that it didn't. Sorry about that.

---

Best regards,
Radon Rosborough




Information forwarded to bug-auctex@HIDDEN:
bug#31150; Package auctex. Full text available.

Message received at 31150 <at> debbugs.gnu.org:


Received: (at 31150) by debbugs.gnu.org; 14 Apr 2018 17:35:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 14 13:35:04 2018
Received: from localhost ([127.0.0.1]:52559 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f7P4q-0004CP-AA
	for submit <at> debbugs.gnu.org; Sat, 14 Apr 2018 13:35:04 -0400
Received: from eggs.gnu.org ([208.118.235.92]:42906)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dak@HIDDEN>) id 1f7P4o-0004Bs-OD
 for 31150 <at> debbugs.gnu.org; Sat, 14 Apr 2018 13:35:02 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dak@HIDDEN>) id 1f7P4g-0005XW-93
 for 31150 <at> debbugs.gnu.org; Sat, 14 Apr 2018 13:34:57 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:54109)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <dak@HIDDEN>)
 id 1f7P4g-0005XQ-4c; Sat, 14 Apr 2018 13:34:54 -0400
Received: from x4e306156.dyn.telefonica.de ([78.48.97.86]:50356 helo=lola)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <dak@HIDDEN>)
 id 1f7P4f-0002BX-KM; Sat, 14 Apr 2018 13:34:54 -0400
From: David Kastrup <dak@HIDDEN>
To: Radon Rosborough <radon.neon@HIDDEN>
Subject: Re: bug#31150: Entries in load-path should not have trailing slashes
References: <CADB4rJGrKTe9CgfK9q_25LUtdY1zO2PRiRRC9xg-=7H-XQ+FyA@HIDDEN>
 <87fu3yrmjk.fsf@HIDDEN>
 <CADB4rJGKidUkTeHMbfZ=Yxi0nDFYK2qyw+Lz5_55VdGAUHiAsQ@HIDDEN>
Date: Sat, 14 Apr 2018 19:34:49 +0200
In-Reply-To: <CADB4rJGKidUkTeHMbfZ=Yxi0nDFYK2qyw+Lz5_55VdGAUHiAsQ@HIDDEN>
 (Radon Rosborough's message of "Sat, 14 Apr 2018 10:05:51 -0700")
Message-ID: <874lkdzo7a.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 31150
Cc: 31150 <at> debbugs.gnu.org, Tino Calancha <tino.calancha@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Radon Rosborough <radon.neon@HIDDEN> writes:

>> I see in the sources of this package the following address to submit
>> bug reports
>
> I did several Google searches along the lines of "auctex bug tracker",
> and did not find this command. Perhaps some SEO would be in order.

For crying out loud, one does not have to look in the "sources of this"
package or use "Google" searches.  The package has documentation.  The
documentation is available in the usual places (Info) and also in the
menus of the package (like in the LaTeX menu).

The menus of the package also contain an entry for submitting bug
reports.

Perhaps some minimal trust in the package authors would be in order.

> Thanks, I might consider this. (straight.el supports Windows, so I
> would need to generalize your patch to use the OS-independent path
> manipulation functions.) For now, however, I think I'll leave things
> be, since out of the ~114 packages I use, only AUCTeX and Geiser had
> this problem (and it should really be fixed upstream).

How about reading the documentation of load-path?

    load-path is a variable defined in =E2=80=98C source code=E2=80=99.
    Its value is

    [...]

    Initialized during startup as described in Info node =E2=80=98(elisp)Li=
brary Search=E2=80=99.
    Use =E2=80=98directory-file-name=E2=80=99 when adding items to this pat=
h.  However, Lisp
    programs that process this list should tolerate directories both with
    and without trailing slashes.

I repeat:

However, Lisp programs that process this list should tolerate
directories both with and without trailing slashes.

And there is good reason for that: XEmacs used to do things differently
(and wasn't tolerant about it as opposed to Emacs if I remember
correctly) and thus many packages used that behavior.  XEmacs may be
mostly history, but many packages are historic as well.  It's good to
remind AUCTeX that it can adapt to standard behavior now, but as a
package manager, your code _certainly_ should adhere to the instructions
in load-path documentation.

--=20
David Kastrup




Information forwarded to bug-auctex@HIDDEN:
bug#31150; Package auctex. Full text available.

Message received at 31150 <at> debbugs.gnu.org:


Received: (at 31150) by debbugs.gnu.org; 14 Apr 2018 17:06:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 14 13:06:39 2018
Received: from localhost ([127.0.0.1]:52551 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f7OdK-0003YP-VQ
	for submit <at> debbugs.gnu.org; Sat, 14 Apr 2018 13:06:39 -0400
Received: from mail-lf0-f41.google.com ([209.85.215.41]:46711)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <radon.neon@HIDDEN>) id 1f7OdJ-0003YD-Lw
 for 31150 <at> debbugs.gnu.org; Sat, 14 Apr 2018 13:06:38 -0400
Received: by mail-lf0-f41.google.com with SMTP id j68-v6so16555420lfg.13
 for <31150 <at> debbugs.gnu.org>; Sat, 14 Apr 2018 10:06:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=PVPUCGZYmEoTCffPRTU70tzMbDtZE8pJZEhvWeCFhVs=;
 b=kpqkZQ1fO4Fm9VMa6Au36m7Y+WAQPkOBv+RSEbEty/NG6CsLrtZJgmqoQRwO9PW3hS
 fRZFHBu4wVfjcgEW8lsERJD4HgZDjfcbECuAV+nMDhOEiiOw4koM7CUlKR2hOl1NkTkq
 Gcz3cn/xiArFbLbd4Gk9WdjYEv2L+b79l6Qkso+kJGcRovO+cCnX1axXQbcTmam4LdFM
 gj3nPnMMySvmsOpVkF/gvEudj0H+nqTC2Tl3mBUXxunmT7fImxJ+DlmxWfzMoNRwtacf
 TyKQLrau3uqmg7gFzWTTP2QWc8UmFa8SUojFOoZ0XZtBIU4bMpdhfTS+qKdwOwKSs99O
 llJg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=PVPUCGZYmEoTCffPRTU70tzMbDtZE8pJZEhvWeCFhVs=;
 b=iYkSByl68Yj9vmqRgHHrV8cnI1Y9sO/s4wXmku9piCippCm4xv5UNUOwyN7ia2Shmj
 Yw/in5azdnxrRRHMJoUoNX+AbgVYRfRT/6oxqAJODpnyBmefjqcWP/jdETSEJah+LVw1
 ML4/qGk1gAotXHGtu3tWDdfl89ooZ49h1r/XqsRx+UApVd5Jj9fsQA9eFt0OVhWZ5G1v
 VgVMPoyoNuQMaYo5Wh8VHQzh3/h3mBf6nS00GzsEUzc8ejauc1qnno+Mra899fqTpoEL
 QYcQ2yTZsVBnwRpG35IDOAyHRPE2zA6QbDfq+qTPlzEB5pg1xxlxtWgTfC2AcljMcEa7
 /DUg==
X-Gm-Message-State: ALQs6tBxpHTeo4srKgopKuVbR6A+UlZWnwwQLyWsgh2g9YZtbTd8Vmr7
 or14xRrimanepm9880TrLZdFKS9e/eBTfH0Fch8=
X-Google-Smtp-Source: AIpwx49K6VUa1ufGk7LRKrJjzuG0NR27SSLSJGLeEWJmceB5+RMAWzaKmlSDz45FwiBQ16yHhOFHXLw8pSdNzSNetXA=
X-Received: by 2002:a19:1d12:: with SMTP id
 d18-v6mr10668105lfd.128.1523725591694; 
 Sat, 14 Apr 2018 10:06:31 -0700 (PDT)
MIME-Version: 1.0
Received: by 2002:a19:6514:0:0:0:0:0 with HTTP; Sat, 14 Apr 2018 10:05:51
 -0700 (PDT)
In-Reply-To: <87fu3yrmjk.fsf@HIDDEN>
References: <CADB4rJGrKTe9CgfK9q_25LUtdY1zO2PRiRRC9xg-=7H-XQ+FyA@HIDDEN>
 <87fu3yrmjk.fsf@HIDDEN>
From: Radon Rosborough <radon.neon@HIDDEN>
Date: Sat, 14 Apr 2018 10:05:51 -0700
Message-ID: <CADB4rJGKidUkTeHMbfZ=Yxi0nDFYK2qyw+Lz5_55VdGAUHiAsQ@HIDDEN>
Subject: Re: bug#31150: Entries in load-path should not have trailing slashes
To: Tino Calancha <tino.calancha@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 31150
Cc: 31150 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> I see in the sources of this package the following address to submit
> bug reports

I did several Google searches along the lines of "auctex bug tracker",
and did not find this command. Perhaps some SEO would be in order.

> You could find this problem again with other packages in the future.
> Maybe it's good idea to add some defensive code

Thanks, I might consider this. (straight.el supports Windows, so I
would need to generalize your patch to use the OS-independent path
manipulation functions.) For now, however, I think I'll leave things
be, since out of the ~114 packages I use, only AUCTeX and Geiser had
this problem (and it should really be fixed upstream).




Information forwarded to bug-auctex@HIDDEN:
bug#31150; Package auctex. Full text available.

Message received at 31150 <at> debbugs.gnu.org:


Received: (at 31150) by debbugs.gnu.org; 14 Apr 2018 12:38:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 14 08:38:09 2018
Received: from localhost ([127.0.0.1]:51368 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f7KRV-00088s-Hx
	for submit <at> debbugs.gnu.org; Sat, 14 Apr 2018 08:38:09 -0400
Received: from mail-pf0-f182.google.com ([209.85.192.182]:43366)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tino.calancha@HIDDEN>) id 1f7KRT-00088O-2e
 for 31150 <at> debbugs.gnu.org; Sat, 14 Apr 2018 08:38:07 -0400
Received: by mail-pf0-f182.google.com with SMTP id j11so1590960pff.10
 for <31150 <at> debbugs.gnu.org>; Sat, 14 Apr 2018 05:38:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=rSBHujrR/TyNv98U2iXC702BSi2OBbLljJjblcfL9vs=;
 b=Mtq+KRfHV0WhGEKDvNMyxtxJgbEP3rBdDLufJ9oDTzSpeGwasuRhu6ifPQ4DyEcYUM
 k3yWqBiyaTGlxJQ40BSUzi+QT/lSKJO4kJBj377V32Etua5arnIlY78EVh8nHNE/GECX
 MCoY0t41SYFuVkw343zJsTFYLJnAdp/yy0kt8oyaQKd243//udqDw7q6xANyAlKWtLXh
 qpkbIA3faYnB8az33H23Qg9h13zZdLwmI+7xUiAgyumHQrB35P5tPq9gKqk5DqmSWNBJ
 ddlazDxBS8OQXRbaSmgcTUVbFytc/BTE3QgHuwhxVnvwY7W7mwzRH0eoZAD0gPwwSlqw
 2bqQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=rSBHujrR/TyNv98U2iXC702BSi2OBbLljJjblcfL9vs=;
 b=ZmW1+YljZ0qg2BMl7JLtk+ydWxHFRaFYQ6yLtWmpfhUyK7fmKdavQ9+Ui25zwjKhfX
 9L6qVal9cmm7xFozt+NLUVZYPZ9W589a6pbq7LQDBNnmoyuv1XrYrTYaeYzuhf9Ms83o
 xYgEOO+trOJigTpKRH1f48mNVllpiZ7p8DXazAB+5L8mrbwfYpPcj+nWMXL3yjSyx6kI
 LFRQArXo/0J/wh5hY2UJ0jjUHZvKbfIqmIyY6VNiJ/jXWWlh7LA/6B1M9K03XE8rpv9M
 e11uUGMpbi4MWCv+jwO+WAFAHKMOyCMuguXr6h8WkBuJVWckCIuiUWQD77CON5FNhAMh
 ivwQ==
X-Gm-Message-State: ALQs6tCm0sl54NVpFsSKbbQwNdqAY7ah5uu57S3tpWZpm4A3mAquUfsA
 0Ra22qNnCFr7fS/LeobxNn0=
X-Google-Smtp-Source: AIpwx48FII0E4IzKRlpSuwHiQ+z8TdwQL+i2PXzysVmZSDB5VEOcicq8NA0i6rIBY6eT8N2NweFZTw==
X-Received: by 10.98.144.205 with SMTP id q74mr14893725pfk.55.1523709481162;
 Sat, 14 Apr 2018 05:38:01 -0700 (PDT)
Received: from calancha-pc (228.225.128.101.dy.bbexcite.jp. [101.128.225.228])
 by smtp.gmail.com with ESMTPSA id
 r14sm17564337pfa.163.2018.04.14.05.37.57
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sat, 14 Apr 2018 05:37:59 -0700 (PDT)
From: Tino Calancha <tino.calancha@HIDDEN>
To: Radon Rosborough <radon.neon@HIDDEN>
Subject: Re: bug#31150: Entries in load-path should not have trailing slashes
References: <CADB4rJGrKTe9CgfK9q_25LUtdY1zO2PRiRRC9xg-=7H-XQ+FyA@HIDDEN>
Date: Sat, 14 Apr 2018 21:37:51 +0900
In-Reply-To: <CADB4rJGrKTe9CgfK9q_25LUtdY1zO2PRiRRC9xg-=7H-XQ+FyA@HIDDEN>
 (Radon Rosborough's message of "Fri, 13 Apr 2018 16:27:24 -0700")
Message-ID: <87fu3yrmjk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31150
Cc: 31150 <at> debbugs.gnu.org, tino.calancha@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Radon Rosborough <radon.neon@HIDDEN> writes:

> When I perform a fresh build of AUCTeX from Git, I get the following
> code as part of tex-site.el:
>
>     (defvar TeX-lisp-directory
>       (expand-file-name "auctex" (file-name-directory load-file-name))
>       "The directory where most of the AUCTeX lisp files are located.
>     For the location of lisp files associated with
>     styles, see the variables TeX-style-* (hand-generated lisp) and
>     TeX-auto-* (automatically generated lisp).")
>
>     (add-to-list 'load-path TeX-lisp-directory)
>
> This is problematic. As the documentation for `load-path' states:
>
>     Use =E2=80=98directory-file-name=E2=80=99 when adding items to this p=
ath.
>
> But `TeX-lisp-directory' has a trailing slash. This seems like a bug
> to me. Can it be fixed?
Thank you for the report.
I see in the sources of this package the following address to submit bug
reports: bug-auctex@HIDDEN (`TeX-submit-bug-report').


> The reason this came up is that I maintain an Emacs package manager,
> straight.el. Once straight.el builds a package, it adds the directory
> to `load-path', using `directory-file-name' as specified by the
> documentation of `load-path'. But since AUCTeX insists on also adding
> its own entry to `load-path', and does so with a superfluous trailing
> slash, we end up with two duplicate entries. Under some
> configurations, this causes duplicate entries to appear when using M-x
> find-library.
You could find this problem again with other packages in the future.
Maybe it's good idea to add some defensive code, for instance:
--8<-----------------------------cut here---------------start------------->=
8---
commit 3e1e25c888a28971d818d82270ce1116feb6fb75
Author: Tino Calancha <tino.calancha@HIDDEN>
Date:   Sat Apr 14 21:35:49 2018 +0900

    Prevent from adding a dir with trailing slashes into load-path
=20=20=20=20
    (straight--drop-trailing-slashes-from-load-path): New defun.
    (straight--add-package-to-load-path): Use it.

diff --git a/straight.el b/straight.el
index 3459057..e62a590 100644
--- a/straight.el
+++ b/straight.el
@@ -3300,12 +3300,25 @@ the reason this package is being built."
=20
 ;;;; Loading packages
=20
+(defun straight--drop-trailing-slashes-from-load-path ()
+  "Return a copy of `load-path' with stripped trailing slashes.
+For instance, change the directory `/foo/bar/' into `/foo/bar'."
+  (delete-dups
+   (mapcar
+    (lambda (dir)
+      (let ((len (length dir)))
+        (while (and (> len 0) (eq ?/ (aref dir (1- len))))
+          (setq dir (substring dir 0 -1)
+                len (1- len)))
+        dir)) load-path)))
+
 (defun straight--add-package-to-load-path (recipe)
   "Add the package specified by RECIPE to the `load-path'.
 RECIPE is a straight.el-style plist. It is assumed that the
 package has already been built."
   (straight--with-plist recipe
       (package)
+    (setf load-path (straight--drop-trailing-slashes-from-load-path))
     (add-to-list 'load-path (straight--build-dir package))))
=20
 (defun straight--add-package-to-info-path (recipe)

--8<-----------------------------cut here---------------end--------------->=
8---




Information forwarded to bug-auctex@HIDDEN:
bug#31150; Package auctex. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Apr 2018 23:28:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 13 19:28:17 2018
Received: from localhost ([127.0.0.1]:51093 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f7877-00035O-5T
	for submit <at> debbugs.gnu.org; Fri, 13 Apr 2018 19:28:17 -0400
Received: from eggs.gnu.org ([208.118.235.92]:46418)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <radon.neon@HIDDEN>) id 1f7875-00035C-Vb
 for submit <at> debbugs.gnu.org; Fri, 13 Apr 2018 19:28:16 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <radon.neon@HIDDEN>) id 1f786z-0007WS-PA
 for submit <at> debbugs.gnu.org; Fri, 13 Apr 2018 19:28:10 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:51209)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <radon.neon@HIDDEN>)
 id 1f786z-0007WK-LW
 for submit <at> debbugs.gnu.org; Fri, 13 Apr 2018 19:28:09 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:37378)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <radon.neon@HIDDEN>) id 1f786y-0005VE-Fr
 for bug-auctex@HIDDEN; Fri, 13 Apr 2018 19:28:09 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <radon.neon@HIDDEN>) id 1f786x-0007Vz-Jh
 for bug-auctex@HIDDEN; Fri, 13 Apr 2018 19:28:08 -0400
Received: from mail-lf0-x236.google.com ([2a00:1450:4010:c07::236]:46546)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <radon.neon@HIDDEN>)
 id 1f786x-0007Va-Bq
 for bug-auctex@HIDDEN; Fri, 13 Apr 2018 19:28:07 -0400
Received: by mail-lf0-x236.google.com with SMTP id j68-v6so14695764lfg.13
 for <bug-auctex@HIDDEN>; Fri, 13 Apr 2018 16:28:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to
 :content-transfer-encoding;
 bh=Tp4tC8hNNrps2SYoAR+Jh7a7sQboLPiWEGLjBfojXjE=;
 b=U84tpmbKgvQv34db8LNrVmgBBMrarMYL526m28Y+5kj7hExfJUxp6+FEHgHGQA/lEQ
 xMNMgTgEQxI1jxbK3fRMpiKNM17sjwJ3X+IYszgsKsFKIRyT3TRrzu7Q+OZRbIOiQ78A
 jN2XDLG/Bm86/a1i4uZbaMLRLSgNoMdSjjTcquEYhKTlGasm6dzSr9Dt9FCXveye0jF3
 bSPaXZuT8/HyLTbEjB65q7IRzgayrUks6oBdHZGYuJT3il7TdRsGbIRbpyw2Canem32n
 ahNWUHE2AnHjlpC6GTdWX/614UijlxpAz6aYFccud+93MM+dBVjXnEcTVYeq+keBtAGu
 sHmQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to
 :content-transfer-encoding;
 bh=Tp4tC8hNNrps2SYoAR+Jh7a7sQboLPiWEGLjBfojXjE=;
 b=f42ljb85yewA4/Xepkc7YkePdmEY1jR+Higz1Bj5zltHlaJpGhFELL2K0iecDf74xz
 bCC7GxgHTJyGL1NJtVGSvKqxK55a58M4B38vS5uQbrRixdLbVXHPOomnvN9mBiUezAdj
 DGKsalMw4BY8yTvPqZHfwRQQV8cvYR7JIsVOXjVfX8AqK6HTajOAu7IZttKsga0cl3CR
 1O/ZMM86gpVBywABWoE598I2FjSXd82eWcqlUdWG/aM35GzTizFuzeXJujFvyJUL4s3u
 DzG0CgZZmCFpPxdP2I/lv3tWzKNH53h6YHfGEkdVKcvORkGJpsRhR+ATUtE681Xw2bkb
 M12A==
X-Gm-Message-State: ALQs6tAGd/8/TdSzquYEofycd8kLMzlDy0uNoH5NF4FqSbWIXqS7Xe9t
 dn8gfjfLN5lnBnf1xitryfixQw2IaZybl/rUrqarenko
X-Google-Smtp-Source: AIpwx4+ECA5yGIzXqpgpMXWsKA+ApV73/gfuZ9ywpgK87TSNS1+iepnHc0FCCAZQKesxkinUkhkKrtReyGUIflcVanA=
X-Received: by 10.46.158.137 with SMTP id f9mr4638651ljk.113.1523662085222;
 Fri, 13 Apr 2018 16:28:05 -0700 (PDT)
MIME-Version: 1.0
Received: by 2002:a19:6514:0:0:0:0:0 with HTTP; Fri, 13 Apr 2018 16:27:24
 -0700 (PDT)
From: Radon Rosborough <radon.neon@HIDDEN>
Date: Fri, 13 Apr 2018 16:27:24 -0700
Message-ID: <CADB4rJGrKTe9CgfK9q_25LUtdY1zO2PRiRRC9xg-=7H-XQ+FyA@HIDDEN>
Subject: Entries in load-path should not have trailing slashes
To: bug-auctex@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

When I perform a fresh build of AUCTeX from Git, I get the following
code as part of tex-site.el:

    (defvar TeX-lisp-directory
      (expand-file-name "auctex" (file-name-directory load-file-name))
      "The directory where most of the AUCTeX lisp files are located.
    For the location of lisp files associated with
    styles, see the variables TeX-style-* (hand-generated lisp) and
    TeX-auto-* (automatically generated lisp).")

    (add-to-list 'load-path TeX-lisp-directory)

This is problematic. As the documentation for `load-path' states:

    Use =E2=80=98directory-file-name=E2=80=99 when adding items to this pat=
h.

But `TeX-lisp-directory' has a trailing slash. This seems like a bug
to me. Can it be fixed?

The reason this came up is that I maintain an Emacs package manager,
straight.el. Once straight.el builds a package, it adds the directory
to `load-path', using `directory-file-name' as specified by the
documentation of `load-path'. But since AUCTeX insists on also adding
its own entry to `load-path', and does so with a superfluous trailing
slash, we end up with two duplicate entries. Under some
configurations, this causes duplicate entries to appear when using M-x
find-library.

Best regards,
Radon Rosborough




Acknowledgement sent to Radon Rosborough <radon.neon@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-auctex@HIDDEN. Full text available.
Report forwarded to bug-auctex@HIDDEN:
bug#31150; Package auctex. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.